alias ls='exa -al --color=always --group-directories-first'
alias la='exa -a --color=always --group-directories-first'
alias ll='exa -l --color=always --group-directories-first'
alias lt='exa -aT --color=always --group-directories-first'

alias grep='grep --color'
alias sgrep='grep -R -n -H -C 5 --exclude-dir={.git,.svn,CVS} '

alias fd='find . -type d -name'
alias ff='find . -type f -name'

alias rm='rm -i'
alias cp='cp -i'
alias mv='mv -i'

dotupdate () {
    pushd ~/.config/dotfiles &>/dev/null
    echo "Updating Dotfiles"
    git pull
    popd &>/dev/null

    pushd ~/.config/p10k &>/dev/null
    echo "Updating P10K"
    git pull
    popd &>/dev/null
}
